# Create a group Creates a new group. Must include the displayName attribute. Users can be added to the group during creation by supplying the user ID values in the members array attribute. Endpoint: POST /scim/v2/Groups Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Content-Type` (string, required) The Content-Type of the request must be application/json. ## Query parameters: - `count` (integer) The number of records returned per page in the response. - `filter` (string) The filter used to filter the group, either by organization id. - `startIndex` (integer) The index number of the page that you want to retrieve. You must set count before specifying startIndex. For example, if you set count to 20 and startIndex to 2, the 21st to 40th records are returned in the response. ## Request fields (application/json): - `schemas` (array) List of schema URNs defining the structure of the group resource. - `displayName` (string) Name of the group. - `urn:zuora:scim:schemas:1.0:GroupExtension` (object) - `urn:zuora:scim:schemas:1.0:GroupExtension.schemas` (array) List of URNs for the extension schemas. - `urn:zuora:scim:schemas:1.0:GroupExtension.description` (string) Description of the group. - `urn:zuora:scim:schemas:1.0:GroupExtension.organizationId` (string) Identifier for the associated organization. ## Response 201 fields (application/json): - `schemas` (array) - `id` (string) Unique identifier for the group. - `displayName` (string) Name of the group. - `urn:zuora:scim:schemas:1.0:GroupExtension` (object) Custom extension schema with additional group attributes. - `urn:zuora:scim:schemas:1.0:GroupExtension.schemas` (array) List of schema identifiers that define the format of the group resource. - `urn:zuora:scim:schemas:1.0:GroupExtension.description` (string) Description of the group. - `urn:zuora:scim:schemas:1.0:GroupExtension.organizationId` (string) Identifier for the associated organization. - `urn:zuora:scim:schemas:1.0:GroupExtension.active` (boolean) Indicates if the group is active. - `meta` (object) Metadata about the resource. - `meta.resourceType` (string) Type of the resource. - `meta.location` (string) URL of the group resource. ## Response 401 fields (application/json): - `success` (boolean) Indicates if the request was successful (false for errors). - `reasons` (array) List of reasons for the unauthorized error. - `reasons.message` (string) Error message. Example: "Unauthorized" - `reasons.code` (string) Error code. Example: "90000011" ## Response 403 fields (application/json): - `timestamp` (string) Time when the error occurred. Example: "2023-07-28T10:47:07.931+00:00" - `status` (integer) HTTP status code. Example: 403 - `error` (string) Error type. Example: "Forbidden" - `message` (string) Details about the access denial. Example: "Admin access denied" - `path` (string) Endpoint path where the error occurred. Example: "/scim/v2/Groups" ## Response 404 fields (application/json): - `schemas` (array) List of schema identifiers that define the format of the group resource. - `status` (string) HTTP status code. Example: "404" - `detail` (string) Reason for the resource not being found. Example: "Resource not found"